## visad.cluster
Class RemoteNodeDataImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteThingImpl
                      visad.RemoteDataImpl
                          visad.cluster.RemoteClusterDataImpl
                              visad.cluster.RemoteNodeDataImpl

All Implemented Interfaces:
  Data, Remote, RemoteClusterData, RemoteData, RemoteNodeData, RemoteThing, Serializable, Thing

Direct Known Subclasses:
  RemoteNodeFieldImpl, RemoteNodePartitionedFieldImpl, RemoteNodeTupleImpl

public class RemoteNodeDataImpl
extends RemoteClusterDataImpl
implements RemoteNodeData

RemoteNodeData is the class for cluster node VisAD data objects.

See Also:
  Serialized Form

Field Summary
`(package private) Vector` `agents`

Fields inherited from class visad.RemoteDataImpl
``

Fields inherited from class visad.RemoteThingImpl
``

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`RemoteNodeDataImpl()`

Method Summary
`RemoteAgentContact` `sendAgent(NodeAgent agent)`

Methods inherited from class visad.cluster.RemoteClusterDataImpl
`addReference, clusterDataEquals, getClusterData, getPartitionSet, getTable, local, main, notifyReferences, removeReference, setParent, setupClusterData`

Methods inherited from class visad.RemoteDataImpl

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from class visad.RemoteThingImpl
`getTick, incTick`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.cluster.RemoteClusterData
`clusterDataEquals, getClusterData, setupClusterData`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Methods inherited from interface visad.RemoteThing
`getTick, incTick`

Field Detail

### agents

    Vector agents

Constructor Detail

### RemoteNodeDataImpl

    public RemoteNodeDataImpl()
                       throws RemoteException

Method Detail

### sendAgent

    public RemoteAgentContact sendAgent(NodeAgent agent)
                                 throws RemoteException

  Specified by:
    `sendAgent` in interface `RemoteNodeData`
  Throws:
    `RemoteException`